# geos::operation::distance Namespace Reference

Provides classes for computing the distance between geometries. More...

## Classes

class | ConnectedElementLocationFilter
| A ConnectedElementPointFilter extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. The elements of the list are DistanceOp::GeometryLocation. More...
class | ConnectedElementPointFilter
| Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. More...
class | DistanceOp
| Find two points on two Geometrys which lie within a given distance, or else are the nearest points on the geometries (in which case this also provides the distance between the geometries). More...
class | GeometryLocation
| Represents the location of a point on a Geometry. More...

## Detailed Description

Provides classes for computing the distance between geometries.